#!/bin/sh
#SBATCH -J md18m
#SBATCH -c 2
#SBATCH -a 1-400
#SBATCH -o /dev/null
#SBATCH -e /dev/null
[ x"SLURM_ARRAY_JOB_ID" = x ] && exit 1
[ x"SLURM_ARRAY_TASK_ID" = x ] && exit 1
. ./config.sh
path="`awk '$1 == "'$SLURM_ARRAY_TASK_ID'"{print $2}' benchmarks`"
name="`awk '$1 == "'$SLURM_ARRAY_TASK_ID'"{print $3}' benchmarks`"
binary=./binary
exec 1>"$name".log 2>"$name".err
unzipped="/tmp/unzipped-${SLURM_ARRAY_JOB_ID}-${SLURM_ARRAY_TASK_ID}-${name}.cnf"
echo "c array.sh: path:      $path"
echo "c array.sh: name:      $name"
echo "c array.sh: job::      $SLURM_ARRAY_JOB_ID"
echo "c array.sh: task:      $SLURM_ARRAY_TASK_ID"
echo "c array.sh: host:      `hostname`"
echo "c array.sh: unzipped:  $unzipped"
echo "c array.sh: unzipping: `date`"
trap "rm -f $unzipped" 2 3 9 15
xz -d -c $path > $unzipped
echo "c array.sh: start:    `date`"
/home/biere/bin/runlim \
  --time-limit="$time" \
  --real-time-limit="$time" \
  --space-limit="$space" \
  "$binary" \
  "$unzipped" \
  -drup-file=/dev/null | \
  grep -v '^v'
echo "c array.sh: end `date`"
rm -f $unzipped
